export const state = {
    currentPage: 1,
    currentView: 'movies',
    currentParams: { contentType: 'movie', page: 1, query: '', genre: '', sort: 'popularity.desc', year: '' },
    settings: {
        id: 'user_settings',
        apiKey: '',
        theme: 'dark',
        showHero: true,
        language: 'es',
        phpScriptUrl: '',
        phpUseSecretKey: false,
        phpSecretKey: '',
        phpSavePath: '',
        phpFilename: 'CinePlex_Playlist.m3u',
        phpFileAction: 'append',
    },
    jellyfinSettings: {
        id: 'jellyfin_credentials',
        url: '',
        username: '',
        password: '',
        apiKey: '',
        userId: '',
    },
    jellyfinMovies: [],
    jellyfinSeries: [],
    localMovies: [],
    localSeries: [],
    localArtists: [],
    localPhotos: [],
    db: null,
    lastScrollPosition: 0,
    currentItemId: null,
    currentItemType: null,
    lastClickedCardElement: null,
    favorites: [],
    userHistory: [],
    userPreferences: { genres: {}, keywords: {}, ratings: [], cast: {}, crew: {} },
    isLoading: false,
    isImporting: false,
    isAddingStream: false,
    isDownloadingM3U: false,
    isScanningPlex: false,
    isScanningJellyfin: false,
    musicPlayer: null,
    activityViewer: null,
    currentContentFetchController: null,
    plexScanAbortController: null,
    aceEditor: null,
    searchTimeout: null,
    plexScanRetryQueue: [],
    isEqualizerInitialized: false,
    equalizer: null,
    photoStack: [],
    currentPhotoToken: null,
    currentPhotoItems: [],
    currentPhotoLightboxIndex: 0,
};